com.hazelcast.config

## Class WanPublisherConfig

- java.lang.Object
- - com.hazelcast.config.WanPublisherConfig

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

      public class WanPublisherConfig
      extends Object
      implements IdentifiedDataSerializable

  Configuration object for WAN publishers. A single publisher defines how WAN events are sent to a specific endpoint. The endpoint can be a different cluster defined by static IP's or discovered using a cloud discovery mechanism.
  See Also:
    `DiscoveryConfig`, `AwsConfig`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WanPublisherConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AwsConfig` | `getAwsConfig()`
    `String` | `getClassName()`
    `DiscoveryConfig` | `getDiscoveryConfig()` Returns the currently defined `DiscoveryConfig`
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `String` | `getGroupName()` Return the group name of this publisher.
    `int` | `getId()` Returns type identifier for this class.
    `Object` | `getImplementation()`
    `Map<String,Comparable>` | `getProperties()`
    `int` | `getQueueCapacity()` Get the capacity of the queue for WAN replication events.
    `WANQueueFullBehavior` | `getQueueFullBehavior()`
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `WanPublisherConfig` | `setAwsConfig(AwsConfig awsConfig)`
    `WanPublisherConfig` | `setClassName(String className)` Set the name of the class implementing the WanReplicationEndpoint.
    `WanPublisherConfig` | `setDiscoveryConfig(DiscoveryConfig discoveryConfig)` Sets a custom defined `DiscoveryConfig`
    `WanPublisherConfig` | `setGroupName(String groupName)` Set the group name of this publisher.
    `WanPublisherConfig` | `setImplementation(Object implementation)` Set the implementation of the WanReplicationEndpoint.
    `WanPublisherConfig` | `setProperties(Map<String,Comparable> properties)`
    `WanPublisherConfig` | `setQueueCapacity(int queueCapacity)` Set the capacity of the queue for WAN replication events.
    `WanPublisherConfig` | `setQueueFullBehavior(WANQueueFullBehavior queueFullBehavior)`
    `String` | `toString()`
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WanPublisherConfig

          public WanPublisherConfig()

  - ### Method Detail

    - #### getGroupName

          public String getGroupName()

      Return the group name of this publisher. The group name is used for identifying the publisher in a `WanReplicationConfig` and for authentication on the target endpoint.
      Returns:
        the publisher group name

    - #### setGroupName

          public WanPublisherConfig setGroupName(String groupName)

      Set the group name of this publisher. The group name is used for identifying the publisher in a `WanReplicationConfig` and for authentication on the target endpoint.
      Parameters:
        `groupName` - the publisher group name
      Returns:
        this config

    - #### getQueueCapacity

          public int getQueueCapacity()

      Get the capacity of the queue for WAN replication events. IMap, ICache, normal and backup events count against the queue capacity separately. When the queue capacity is reached, backup events are dropped while normal replication events behave as determined by the `getQueueFullBehavior()`. The default queue size for replication queues is .
      Returns:
        the queue capacity

    - #### setQueueCapacity

          public WanPublisherConfig setQueueCapacity(int queueCapacity)

      Set the capacity of the queue for WAN replication events. IMap, ICache, normal and backup events count against the queue capacity separately. When the queue capacity is reached, backup events are dropped while normal replication events behave as determined by the `getQueueFullBehavior()`. The default queue size for replication queues is .
      Parameters:
        `queueCapacity` - the queue capacity
      Returns:
        this configuration

    - #### getQueueFullBehavior

          public WANQueueFullBehavior getQueueFullBehavior()

    - #### setQueueFullBehavior

          public WanPublisherConfig setQueueFullBehavior(WANQueueFullBehavior queueFullBehavior)

    - #### getProperties

          public Map<String,Comparable> getProperties()

    - #### setProperties

          public WanPublisherConfig setProperties(Map<String,Comparable> properties)

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public WanPublisherConfig setClassName(String className)

      Set the name of the class implementing the WanReplicationEndpoint. NOTE: OS and EE have different interfaces that this class should implement. For OS see `WanReplicationEndpoint`.
      Parameters:
        `className` - the name of the class implementation for the WAN replication
      Returns:
        the wan publisher config

    - #### getImplementation

          public Object getImplementation()

    - #### setImplementation

          public WanPublisherConfig setImplementation(Object implementation)

      Set the implementation of the WanReplicationEndpoint. NOTE: OS and EE have different interfaces that this object should implement. For OS see `WanReplicationEndpoint`.
      Parameters:
        `implementation` - the implementation for the WAN replication
      Returns:
        the wan publisher config

    - #### getAwsConfig

          public AwsConfig getAwsConfig()

      Returns:
        the awsConfig join configuration

    - #### setAwsConfig

          public WanPublisherConfig setAwsConfig(AwsConfig awsConfig)

      Parameters:
        `awsConfig` - the AwsConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if awsConfig is null

    - #### getDiscoveryConfig

          public DiscoveryConfig getDiscoveryConfig()

      Returns the currently defined `DiscoveryConfig`
      Returns:
        current DiscoveryProvidersConfig instance

    - #### setDiscoveryConfig

          public WanPublisherConfig setDiscoveryConfig(DiscoveryConfig discoveryConfig)

      Sets a custom defined `DiscoveryConfig`
      Parameters:
        `discoveryConfig` - configuration to set
      Throws:
        `IllegalArgumentException` - if discoveryProvidersConfig is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getFactoryId

          public int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Returns:
        type ID

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

Copyright © 2018. All rights reserved.